/* Left Message Tray

    Move the message tray to the left side

    Copyright (C) 2012  Robytrevi <robytrevi@hotmail.com>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>. */

const St = imports.gi.St;
const Main = imports.ui.main;
const MessageTray = imports.ui.messageTray;
const Lang = imports.lang;

/*CHOOSE THE NUMBER CORRESPONDING TO THE POSITION YOU WANT*/
let POS = 0; /* 0 = message tray on the left;
            1 = meggage tray in the middle.
            other values or no value give an error and the meggage tray will be on the right*/

function init() {
}

function enable() {    
  Main.messageTray._hideTray = Lang.bind(Main.messageTray, function() {
    this._tween(this.actor, '_trayState', MessageTray.State.HIDDEN,
    { y: -1 });
  });
  let position;
    if (POS == 0) 
      position = St.Align.START
    else if (POS ==1)
      position = St.Align.MIDDLE
    else (global.logError("There's an error; bad value, message tray will be on the right"));
  Main.messageTray._summaryBin.x_align = position;
  Main.messageTray._hideTray();
}

function disable() {
  Main.messageTray._summaryBin.x_align = St.Align.END
}
